G-keys don't work on Logitech G15 keyboard

Bug #538259 reported by Niels Slot on 2010-03-12
54
This bug affects 10 people
Affects Status Importance Assigned to Milestone
g15daemon (Debian)
New
Unknown
g15daemon (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: g15daemon

The current version of G15Daemon in Lucid lacks a patch that's required to make the G-keys work with newer Xorg versions. When a users tries to use the G-keys in Lucid, the following error message is printed to the Xorg log file:

"G15 Extra Keys": dropping event due to full queue!

There is a patch available upstream [1]. Please apply this patch in the Lucid package of G15Daemon so users can use the G-keys on their keyboards.

1: http://www.g15tools.com/node/176 or
http://g15daemon.svn.sourceforge.net/viewvc/g15daemon/trunk/g15daemon-wip/plugins/g15_plugin_uinput.c?r1=388&r2=527&view=patch which better matches the current source of the Lucid package

tags: added: lucid
Ancoron Luziferis (ancoron) wrote :

Made a patch against current lucid package.

@OP: could you test that one please? Shall give us the opportunity to get this one into an SRU.

Niels Slot (nielsslot) wrote :

Tested by doing

# apt-get source g15daemon
# cd g15daemon-1.9.5.3/
# wget http://launchpadlibrarian.net/46395768/make-g-keys-work-again.patch
# patch -p1 < make-g-keys-work-again.patch
# dpkg-buildpackage
# cd ..
# dpkg -i *.deb

g15daemon restarts and the G-keys work fine.

guivho (guivho) wrote :

Niels, Your solution works!

You're a real life saver!!!

Thank you so much,

Guivho

tags: added: patch
Jean-Baptiste Lallement (jibel) wrote :

I'm setting the status to triage/medium. Thanks for the patch.

Changed in g15daemon (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in g15daemon (Debian):
status: Unknown → New
josephbus1 (josephbus1) wrote :
Download full text (4.0 KiB)

Thanks Niels Slot:

I cut & pasted your code into my Ubuntu 10.04...I got "Cannot access archive..."
What am I doing wrong?...Thx, Joseph
============================================================
josephbus1@josephbus1-desktop:~$ apt-get source g15daemon <==
Reading package lists... Done
Building dependency tree
Reading state information... Done
Skipping already downloaded file 'g15daemon_1.9.5.3-8ubuntu1.dsc'
Skipping already downloaded file 'g15daemon_1.9.5.3.orig.tar.gz'
Skipping already downloaded file 'g15daemon_1.9.5.3-8ubuntu1.diff.gz'
Need to get 0B of source archives.
Skipping unpack of already unpacked source in g15daemon-1.9.5.3
josephbus1@josephbus1-desktop:~$ cd g15daemon-1.9.5.3/ <=====
josephbus1@josephbus1-desktop:~/g15daemon-1.9.5.3$ wget http://launchpadlibrarian.net /46395768/make-g-keys-work-again.patch <====
--2011-02-10 22:06:52-- http://launchpadlibrarian.net/46395768/make-g-keys-work-again.patch
Resolving launchpadlibrarian.net... 91.189.89.228, 91.189.89.229
Connecting to launchpadlibrarian.net|91.189.89.228|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 948 [text/plain]
Saving to: `make-g-keys-work-again.patch.1'

100%[======================================>] 948 --.-K/s in 0s

2011-02-10 22:06:53 (104 MB/s) - `make-g-keys-work-again.patch.1' saved [948/948]

josephbus1@josephbus1-desktop:~/g15daemon-1.9.5.3$ patch -p1 < make-g-keys-work-again.patch <====
patching file plugins/g15_plugin_uinput.c
josephbus1@josephbus1-desktop:~/g15daemon-1.9.5.3$ dpkg-buildpackage
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package g15daemon
dpkg-buildpackage: source version 1.9.5.3-8ubuntu1
dpkg-buildpackage: source changed by James Tatum <email address hidden>
dpkg-buildpackage: host architecture i386
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-calc
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-res
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-writer
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-help
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-draw
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-base
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-impress
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-binfilter
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis32-en_us-math
dpkg-checkbuilddeps: Unmet build dependencies: cdbs autotools-dev automake1.9 libtool chrpath libg15-d...

Read more...

josephbus1 (josephbus1) wrote :

BTW Niels, I have a G110 KB, not the G15...Is that make any difference? Thx, Joseph

josephbus1 (josephbus1) wrote :

OOPS!!...Please ignore that last reply...There Is NO G15 KB, just g15tools...but I still have the G110 KB
G-Keys...another patch?...Joseph

josephbus1 (josephbus1) wrote :

Sorry about that last one...Corrected to say : There IS a G15 KB, But mine is a G110,
I believe the KB byte codes are different?...

Here is another G110 user seeking modified g15 code for the G110 KB :

http://groups.google.com/group/linux.debian.user/browse_thread/thread/5d163a46e3881827?pli=1

Thx, Joseph

Niels Slot (nielsslot) wrote :

Hi Joseph,

The output you pasted alreaady says what you're doing wrong:

dpkg-checkbuilddeps: Unmet build dependencies: cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev (>= 1.2.0.svn250-2) libusb-dev libfreetype6-dev

It says it needs some packages to build the g15daemon, you need to install those first, so:

sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev (>= 1.2.0.svn250-2) libusb-dev libfreetype6-dev

and try again.

I don't have a G110 keyboard, so I don't really know how or if the g15daemon will work.

josephbus1 (josephbus1) wrote :

Thank You, Niels...Here's what I got...
=======================================================================
josephbus1@josephbus1-desktop:~$ sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev (>= 1.2.0.svn250-2) libusb-dev libfreetype6-dev
bash: syntax error near unexpected token `('

==============================================================1st try
josephbus1@josephbus1-desktop:~$ sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev (>= 1.2.0.svn250-2) libusb-dev libfreetype6-dev
bash: syntax error near unexpected token `('
==============================================================2nd try
Apparently bash doesn't like the syntax ">=" following "... render-dev(" ?
==========================================================
About the G110 stuff....In the forum:

http://www.linux-archive.org/debian-user/397694-i-need-patched-lib-logitech-g110-keyboard.html

 " there is a way to patch the g15 lib which is in squeeze for amd64 to
handle the G110 keyboard. ..."

I took that to mean "the g15tools can be patched to enable lib15.c lib for the G110 G-keys".
That is my motive to get g15tools working...In Ur opinion, does that make sense?
=================================================================
Thank You 4 Ur help Niels, Joseph

Niels Slot (nielsslot) wrote :

Oh.. yeah.. That's my bad. You need to remove the version information. So the correct apt-get line would be:

sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev libusb-dev libfreetype6-dev

Thx 4 Ur Help, Niels,
Here's what I got...
======================================
josephbus1@josephbus1-desktop:~$ sudo apt-get install cdbs autotools-dev
automake1.9 libtool chrpath lib15-dev libg15render-dev libusb-dev
libfreetype6-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
cdbs is already the newest version.
autotools-dev is already the newest version.
automake1.9 is already the newest version.
libtool is already the newest version.
chrpath is already the newest version.
E: Couldn't find package lib15-dev
josephbus1@josephbus1-desktop:~$

==============================================
On Fri, Feb 11, 2011 at 7:55 AM, Niels Slot <email address hidden>wrote:

> Oh.. yeah.. That's my bad. You need to remove the version information.
> So the correct apt-get line would be:
>
> sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath
> libg15-dev libg15render-dev libusb-dev libfreetype6-dev
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/538259
>
> Title:
> G-keys don't work on Logitech G15 keyboard
>

Niels Slot (nielsslot) wrote :

Make sure you type the command in exactly as I gave it. E.g. lib15-dev -> libg15-dev

josephbus1 (josephbus1) wrote :
Download full text (3.5 KiB)

Thankn You Niels
Sorry about that typo ...One of these days I'm Going to learn this stuff...Here's what I got...
===================================================================
josephbus1@josephbus1-desktop:~$ sudo apt-get install cdbs autotools-dev automake1.9 libtool chrpath libg15-dev libg15render-dev libusb-dev libfreetype6-dev
[sudo] password for josephbus1:
Reading package lists... Done
Building dependency tree
Reading state information... Done
cdbs is already the newest version.
autotools-dev is already the newest version.
automake1.9 is already the newest version.
libtool is already the newest version.
chrpath is already the newest version.
The following NEW packages will be installed:
  libfreetype6-dev libg15-dev libg15render-dev libusb-dev
0 upgraded, 4 newly installed, 0 to remove and 5 not upgraded.
3 not fully installed or removed.
Need to get 771kB of archives.
After this operation, 3,932kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main libfreetype6-dev 2.3.11-1ubuntu2.4 [705kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libg15-dev 1.2.7-2 [8,238B]
Get:3 http://us.archive.ubuntu.com/ubuntu/ lucid/universe libg15render-dev 1.3.0~svn316-2.1 [19.4kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main libusb-dev 2:0.1.12-14ubuntu0.2 [38.4kB]
Fetched 771kB in 5s (137kB/s)
Selecting previously deselected package libfreetype6-dev.
(Reading database ... 215875 files and directories currently installed.)
Unpacking libfreetype6-dev (from .../libfreetype6-dev_2.3.11-1ubuntu2.4_i386.deb) ...
Selecting previously deselected package libg15-dev.
Unpacking libg15-dev (from .../libg15-dev_1.2.7-2_i386.deb) ...
Selecting previously deselected package libg15render-dev.
Unpacking libg15render-dev (from .../libg15render-dev_1.3.0~svn316-2.1_i386.deb) ...
Selecting previously deselected package libusb-dev.
Unpacking libusb-dev (from .../libusb-dev_2%3a0.1.12-14ubuntu0.2_i386.deb) ...
Processing triggers for doc-base ...
Processing 2 added doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for man-db ...
Setting up g15daemon (1.9.5.3-8ubuntu1) ...
Starting g15daemon: .../dev/input/uinput not found ...invoke-rc.d: initscript g15daemon, action "start" failed.
dpkg: error processing g15daemon (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of g15macro:
 g15macro depends on g15daemon; however:
  Package g15daemon is not configured yet.
dpkg: error processing g15macro (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of g15stats:
 g15stats depends on g15daemon; however:
  Package g15daemon is not configured yet.
dpkg: error processing g15stats (--configure):
 dependency problems - leaving unconfigured
Setting up libfreetype6-dev (2.3.11-1ubuntu2.4) ...
No apport report written because the error message indicates its a followup error from a previous failure.
                          No apport report written because the error message indicates its a followup error from a previous failu...

Read more...

Niels Slot (nielsslot) wrote :

Try a 'sudo modprobe uinput', and try the command again.

These problems aren't really related to this bug report any more. For further problems you can also try Google or asking on, for example, IRC.

josephbus1 (josephbus1) wrote :

Thanks, Niels....Joseph
==============================

Joe Giuliano has chosen to send you a free movie ticket, up to $10 value.

Sit back, relax, and enjoy! In an effort to spread the word about our great products we are allowing our members to send free movie tickets to their selected friends at no charge to our members. This time Joe Giuliano chose you! To redeem your movie ticket and receive deal notifications follow the link below.

http://homerun.com/email_gift/038e5737c3?_e=f587511a

Enjoy, this one is on us.

The HomeRun Team

If you prefer not to get promotional email from HomeRun, visit http://homerun.com/unsubscribe?_e=f587511a

Brought to you by HomeRun, PO Box 26049, San Francisco, CA, 94126, USA

Changed in g15daemon (Ubuntu):
status: Triaged → Fix Released
josephbus1 (josephbus1) wrote :
Download full text (3.6 KiB)

To Niels Slot:
1) That "Movie Ticket" is not me!...Those guys somehow got into my contacts & sent that msg to friends & family...I apologize for any confusion...Just another scam...

2) Re G15, It seems many on this Bug have used your fix with success...BUT NOT ME!
Here is what I got...hoping for your finding my problem, & Thanks 4 all Ur help...
============================================
 root@jg:/home/jg# apt-get source g15daemon
Reading package lists... Done
Building dependency tree
Reading state information... Done
Need to get 427 kB of source archives.
Get:1 http://ftp.us.debian.org/debian/ squeeze/main g15daemon 1.9.5.3-8.1 (dsc) [1,839 B]
Get:2 http://ftp.us.debian.org/debian/ squeeze/main g15daemon 1.9.5.3-8.1 (tar) [415 kB]
Get:3 http://ftp.us.debian.org/debian/ squeeze/main g15daemon 1.9.5.3-8.1 (diff) [11.0 kB]
Fetched 427 kB in 6s (64.4 kB/s)
dpkg-source: info: extracting g15daemon in g15daemon-1.9.5.3
dpkg-source: info: unpacking g15daemon_1.9.5.3.orig.tar.gz
dpkg-source: info: applying g15daemon_1.9.5.3-8.1.diff.gz
dpkg-source: info: upstream files that have been modified:
 g15daemon-1.9.5.3/Documentation/g15daemon.1
 g15daemon-1.9.5.3/Documentation/g15daemon_client_devel.3
 g15daemon-1.9.5.3/g15daemon/main.c
 g15daemon-1.9.5.3/g15daemon/utility_funcs.c
 g15daemon-1.9.5.3/plugins/g15_plugin_uinput.c
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
root@jg:/home/jg# cd g15daemon-1.9.5.3/
root@jg:/home/jg/g15daemon-1.9.5.3# wget http://launchpadlibrarian.net/46395768/make-g-keys-work-again.patch
--2011-12-28 13:11:42-- http://launchpadlibrarian.net/46395768/make-g-keys-work-again.patch
Resolving launchpadlibrarian.net... 91.189.89.228, 91.189.89.229
Connecting to launchpadlibrarian.net|91.189.89.228|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 948 [text/plain]
Saving to: “make-g-keys-work-again.patch”

100%[======================================>] 948 --.-K/s in 0s

2011-12-28 13:11:47 (124 MB/s) - “make-g-keys-work-again.patch” saved [948/948]

root@jg:/home/jg/g15daemon-1.9.5.3# patch -p1 < make-g-keys-work-again.patch
patching file plugins/g15_plugin_uinput.c
Hunk #1 succeeded at 132 with fuzz 2 (offset 7 lines).
Hunk #2 succeeded at 159 with fuzz 2 (offset 14 lines).
root@jg:/home/jg/g15daemon-1.9.5.3# dpkg-buildpackage
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: source package g15daemon
dpkg-buildpackage: source version 1.9.5.3-8.1
dpkg-buildpackage: source changed by Julien Cristau <email address hidden>
dpkg-buildpackage: host architecture i386
 dpkg-source --before-build g15daemon-1.9.5.3
dpkg-checkbuilddeps: Unmet build dependencies: automake1.9 chrpath libg15render-dev (>= 1.2.0.svn250-2) libusb-dev libfreetype6-d...

Read more...

Niels Slot (nielsslot) wrote :

Dpkg is again telling you what to do. "Unmet build dependencides", means you don't have the packages installed to build g15daemon. Install them using "apt-get install automake1.9 chrpath libg15render-dev libusb-dev libfreetype6-dev" or "apt-get build-dep g15daemon"

Also, I noticed that this bug is fixed in the last Ubuntu release. Maybe updating your Debian installation will help?

Hi Niels,
1) I now see what you have been saying about 'Unmet dependencies' ...
2) Debian is up to date...but wondering about differences from
Ubuntu...What are your thoughts about Fedora in terms of stability &
functionality [i.e., fewer bugs] ?
3) At this point (applying patch, building pkg) On attempting the 'dpkg -i
*.deb' , I got...
===================================
root@jg:/home/jg/g15daemon-1.9.5.3# dpkg -i *.deb
Selecting previously deselected package g15daemon.
(Reading database ... 164730 files and directories currently installed.)
Unpacking g15daemon (from g15daemon_1.9.5.3-8.1_i386.deb) ...
Selecting previously deselected package libg15daemon-client1.
Unpacking libg15daemon-client1 (from
libg15daemon-client1_1.9.5.3-8.1_i386.deb) ...
Selecting previously deselected package libg15daemon-client-dev.
Unpacking libg15daemon-client-dev (from
libg15daemon-client-dev_1.9.5.3-8.1_i386.deb) ...
Setting up libg15daemon-client1 (1.9.5.3-8.1) ...
Processing triggers for man-db ...
Setting up libg15daemon-client-dev (1.9.5.3-8.1) ...
Setting up g15daemon (1.9.5.3-8.1) ...
Starting g15daemon: invoke-rc.d: initscript g15daemon, action "start"
failed.
dpkg: error processing g15daemon (--install):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 g15daemon
=======================================
Appreciate any thoughts about that & Thanks again, Joseph

===========================================

On Wed, Dec 28, 2011 at 3:07 PM, Niels Slot <email address hidden>wrote:

> Dpkg is again telling you what to do. "Unmet build dependencides", means
> you don't have the packages installed to build g15daemon. Install them
> using "apt-get install automake1.9 chrpath libg15render-dev libusb-dev
> libfreetype6-dev" or "apt-get build-dep g15daemon"
>
> Also, I noticed that this bug is fixed in the last Ubuntu release. Maybe
> updating your Debian installation will help?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/538259
>
> Title:
> G-keys don't work on Logitech G15 keyboard
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/g15daemon/+bug/538259/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.